import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
question = client.questions.retrieve(
"question_id",
)
print(question.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
question, err := client.Questions.Get(context.TODO(), "question_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", question.ID)
}
curl --request GET \
--url https://api.egp.scale.com/v4/questions/{question_id}const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/questions/{question_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "categorical",
"title": "<string>",
"prompt": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"choices": [
{
"label": "<string>",
"value": "<string>",
"audit_required": false
}
],
"ratingOptions": {
"minLabel": "<string>",
"maxLabel": "<string>",
"scaleSteps": 123
},
"numberOptions": {
"min": 123,
"max": 123
},
"freeTextOptions": {
"characterLimit": {
"min": 50,
"max": 1000
}
},
"multi": true,
"dropdown": true,
"required": true,
"conditions": [
{}
],
"default": "<unknown>",
"form_schema": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Question
Description
Gets the details of a question
Details
This API can be used to get information about a single question by ID. To use this API, pass in the id that was returned from your Create Question API call as a path parameter.
Review the response schema to see the fields that will be returned.
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
question = client.questions.retrieve(
"question_id",
)
print(question.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
question, err := client.Questions.Get(context.TODO(), "question_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", question.ID)
}
Path Parameters
Response
Successful Response
The type of question
categorical, free_text, rating, number, form, timestamp The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
user, service_account List of choices for the question. Required for CATEGORICAL questions.
Show child attributes
Show child attributes
Options for rating questions.
Show child attributes
Show child attributes
Options for number questions.
Show child attributes
Show child attributes
Options for free text questions.
Show child attributes
Show child attributes
Whether the question allows multiple answers.
Whether the question is displayed as a dropdown in the UI.
[To be deprecated in favor of question set question_id_to_config] Whether the question is required.
Conditions for the question to be shown.
The default value for the question.
The schema for the question.

